Retrieve fees for an account | Moov Documentation
Retrieve fees for an account
Retrieve fees assessed to an account.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/transfers.read scope.
Endpoint
GET
/accounts/{accountID}/fees
Example Requests
cURL
curl -X GET "https://api.moov.io/accounts/{accountID}/fees" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00"
TypeScript
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.feePlans.retrieveFees({
accountID: "89daf02d-b6b3-4fbf-b20d-5bf967324682",
skip: 60,
count: 20,
});
console.log(result);
}
run();
PHP
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$request = new Operations\RetrieveFeesRequest(
accountID: '89daf02d-b6b3-4fbf-b20d-5bf967324682',
skip: 60,
count: 20,
);
$response = $sdk->accounts->getFees(
request: $request
);
if ($response->incurredFees !== null) {
// handle response
}
Java
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.RetrieveFeesRequest;
import io.moov.sdk.models.operations.RetrieveFeesResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
RetrieveFeesRequest req = RetrieveFeesRequest.builder()
.accountID("89daf02d-b6b3-4fbf-b20d-5bf967324682")
.skip(60L)
.count(20L)
.build();
RetrieveFeesResponse res = sdk.feePlans().retrieveFees()
.request(req)
.call();
if (res.incurredFees().isPresent()) {
System.out.println(res.incurredFees().get());
}
}
}
Python
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.fee_plans.retrieve_fees(account_id="89daf02d-b6b3-4fbf-b20d-5bf967324682", skip=60, count=20)
# Handle response
print(res)
Ruby
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
req = Models::Operations::RetrieveFeesRequest.new(
account_id: '89daf02d-b6b3-4fbf-b20d-5bf967324682',
skip: 60,
count: 20
)
res = s.fee_plans.retrieve_fees(request: req)
unless res.incurred_fees.nil?
# handle response
end
C#
using Moov.Sdk;
using Moov.Sdk.Models.Components;
using Moov.Sdk.Models.Requests;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
RetrieveFeesRequest req = new RetrieveFeesRequest() {
AccountID = "89daf02d-b6b3-4fbf-b20d-5bf967324682",
Skip = 60,
Count = 20,
};
var res = await sdk.FeePlans.RetrieveFeesAsync(req);
// handle response
Example Response Structure
[\
{\
"feeID": "string",\
"accountID": "string",\
"walletID": "string",\
"createdOn": "2019-08-24T14:15:22Z",\
"feeName": "string",\
"amount": {\
"currency": "USD",\
"valueDecimal": "12.987654321"\
},\
"generatedBy": {\
"transferID": "string",\
"cardID": "string",\
"disputeID": "string",\
"accountID": "string",\
"bankAccountID": "string",\
"invoiceID": "string"\
},\
"feeGroup": "string",\
"residualID": "string"\
}\
]
Response Headers
- A unique identifier used to trace requests.
- The request contained missing or expired authentication.
- The user is not authorized to make the request.
- Request was refused due to rate limiting.
- The request failed due to an unexpected error.
- The request failed because a downstream service failed to respond.
- Set this header to v2026.04.00 to use the API described in this specification.